---
layout: api
page_title: /sys/plugins/reload/backend - HTTP API
description: The `/sys/plugins/reload/backend` endpoint is used to reload plugin backends.
---

# `/sys/plugins/reload/backend`

The `/sys/plugins/reload/backend` endpoint is used to reload mounted plugin
backends. Either the plugin name (`plugin`) or the desired plugin backend mounts
(`mounts`) must be provided, but not both. In the case that the plugin name is
provided, all mounted paths that use that plugin backend will be reloaded.

## Reload plugins

This endpoint reloads mounted plugin backends.

| Method | Path -                        |
| :----- | :---------------------------- |
| `POST` | `/sys/plugins/reload/backend` |

### Parameters

- `plugin` `(string: "")` – The name of the plugin to reload, as
  registered in the plugin catalog.

- `mounts` `(array: [])` – Array or comma-separated string mount paths
  of the plugin backends to reload.

- `scope` `(string: "")` - The scope of the reload. If omitted, reloads the
  plugin or mounts on this Vault instance. If 'global', will begin reloading the
  plugin on all instances of a cluster.

### Sample payload

```json
{
  "plugin": "mock-plugin"
}
```

### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request POST \
    --data @payload.json \
    http://127.0.0.1:8200/v1/sys/plugins/reload/backend
```
